# Uses of Class
it.tdlight.jni.TdApi.StoryAreaType

## Uses of TdApi.StoryAreaType in it.tdlight.jni

Subclasses of TdApi.StoryAreaType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StoryAreaTypeLocation`
An area pointing to a location.
`static final class`
`TdApi.StoryAreaTypeMessage`
An area pointing to a message.
`static final class`
`TdApi.StoryAreaTypeSuggestedReaction`
An area pointing to a suggested reaction.
`static final class`
`TdApi.StoryAreaTypeVenue`
An area pointing to a venue.
Fields in it.tdlight.jni declared as TdApi.StoryAreaType
Modifier and Type
Field
Description
`TdApi.StoryAreaType`
TdApi.StoryArea.`type`
Type of the area.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryAreaType
Modifier
Constructor
Description
``
`StoryArea(TdApi.StoryAreaPosition position, TdApi.StoryAreaType type)`
Describes a clickable rectangle area on a story media.